## audio-visualizer-python 2.1.2

=== requirements.txt ===
numpy==2.4.1
pillow==12.1.0
PyQt6==6.10.2
PyQt6-Qt6==6.10.1
PyQt6_sip==13.11.0

=== debian/changelog ===
audio-visualizer-python (2.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1125447)

 -- Aeliton Silva <aeliton@aeliton.com>  Sat, 17 Jan 2026 11:17:49 +0000

=== debian/control ===
Source: audio-visualizer-python
Section: video
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Aeliton Silva <aeliton@aeliton.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               ffmpeg <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-numpy,
               python3-pillow,
               python3-pyqt6,
               python3-pytest <!nocheck>,
               python3-pytest-xvfb <!nocheck>,
               python3-pytestqt <!nocheck>,
               python3-qtpy-pyqt6,
               python3-setuptools
Standards-Version: 4.7.3
Homepage: https://github.com/djfun/audio-visualizer-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/audio-visualizer-python
Vcs-Git: https://salsa.debian.org/python-team/packages/audio-visualizer-python.git

Package: audio-visualizer-python
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         ffmpeg,
         pyqt6-dev-tools
Description: tool that creates videos from audio input files
 This tool provides a Graphical Interface that allows selecting
 multiple effects and visual elements to be used to create visualization
 video from an audio file. Different components can be added and
 layered to change the resulting video and add images, videos,
 gradients, text, etc. Encoding options can be changed with a variety of
 different output containers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncoment this line to debug failing tests
# export PYBUILD_TEST_ARGS = -s --no-qt-log
# export DH_VERBOSE = 1
# export PYBUILD_VERBOSE = 1
export PYBUILD_NAME = audio-visualizer-python
export PYBUILD_INSTALL_DIR = /usr/share/audio-visualizer-python/
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/.pytest_cache

# Inject private module to sys.path
export PYBUILD_AFTER_INSTALL = sed -i \
	's/from avp.cli import main/sys.path.insert(0, "\/usr\/share\/audio-visualizer-python\/")\n&\n/' \
	{destdir}/usr/bin/avp

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_python3:
	# Remove the distinfo stuff once the dependencies have been collected
	rm -vrf debian/audio-visualizer-python/$(PYBUILD_INSTALL_DIR)/*.dist-info

=== debian/tests/control ===
Tests: produce-video
Depends: file,
         python3-all,
         shunit2,
         xauth,
         xvfb,
         @

=== debian/watch ===
Version: 5

Template: GitHub
Owner: djfun
Project: audio-visualizer-python
